Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Data Fields
pack_opt_t Struct Reference

`#include <tools/src/h5repack/h5repack.h>`

## Data Fields
hsize_t | alignment
int | all_filter
int | all_layout
chunk_info_t | chunk_g
filter_info_t | filter_g [6]
hid_t | fin_fapl
bool | fin_vfd
bool | fin_vol
hid_t | fout_fapl
bool | fout_vfd
bool | fout_vol
long long | fs_pagesize
int | fs_persist
H5F_fspace_strategy_t | fs_strategy
long | fs_threshold
int | grp_compact
int | grp_indexed
H5F_libver_t | high_bound
bool | latest
H5D_layout_t | layout_g
H5F_libver_t | low_bound
bool | merge
hsize_t | meta_block_size
hsize_t | min_comp
int | msg_size [8]
int | n_filter_g
pack_opttbl_t * | op_tbl
bool | prune
hsize_t | threshold
const char * | ublock_filename
hsize_t | ublock_size
int | use_native
int | verbose

## Field Documentation

## ◆ alignment

hsize_t alignment

## ◆ all_filter

int all_filter

## ◆ all_layout

int all_layout

## ◆ chunk_g

chunk_info_t chunk_g

## ◆ filter_g

filter_info_t filter_g[6]

## ◆ fin_fapl

hid_t fin_fapl

## ◆ fin_vfd

bool fin_vfd

## ◆ fin_vol

bool fin_vol

## ◆ fout_fapl

hid_t fout_fapl

## ◆ fout_vfd

bool fout_vfd

## ◆ fout_vol

bool fout_vol

## ◆ fs_pagesize

long long fs_pagesize

## ◆ fs_persist

int fs_persist

## ◆ fs_strategy

H5F_fspace_strategy_t fs_strategy

## ◆ fs_threshold

long fs_threshold

## ◆ grp_compact

int grp_compact

## ◆ grp_indexed

int grp_indexed

## ◆ high_bound

H5F_libver_t high_bound

## ◆ latest

bool latest

## ◆ layout_g

H5D_layout_t layout_g

## ◆ low_bound

H5F_libver_t low_bound

## ◆ merge

bool merge

## ◆ meta_block_size

hsize_t meta_block_size

## ◆ min_comp

hsize_t min_comp

## ◆ msg_size

int msg_size[8]

## ◆ n_filter_g

int n_filter_g

## ◆ op_tbl

pack_opttbl_t* op_tbl

## ◆ prune

bool prune

## ◆ threshold

hsize_t threshold

## ◆ ublock_filename

const char* ublock_filename

## ◆ ublock_size

hsize_t ublock_size

## ◆ use_native

int use_native

## ◆ verbose

int verbose

The documentation for this struct was generated from the following file:

- tools/src/h5repack/h5repack.h